<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加客户信息</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
     <style>
        img{
            width: 40%;
            height: 30%;
        }
    </style>
</head>
<body>

  <div class="layui-fluid">
        <div class="layui-card">

          <div class="layui-card-body">
            <form class="layui-form" action="" lay-filter="component-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">

                <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                  <div class="layui-input-block">
                    <input type="text" name="name" lay-verify="required" placeholder="请输入名称" autocomplete="off" class="layui-input">
                  </div>
                </div>
                <div>
                  <label class="layui-form-label"><font color='red' size="4">*</font>电话：</label>
                  <div class="layui-input-block">
                    <input type="text" name="tel" placeholder="请输入电话" lay-verify="required|tel" autocomplete="off" class="layui-input">
                  </div>
                </div>
                <div>
                      <label class="layui-form-label"><font color='red' size="4">*</font>性别：</label>
                      <div class="layui-input-block">
                        <select id="id_gender" name="gender" lay-verify="required">
                            <option value="2">先生</option>
                            <option value="1">女士</option>
                        </select>
                      </div>
                  </div>
                   <div>
                      <label class="layui-form-label">激活：</label>
                      <div class="layui-input-block">
                        <input type="checkbox" name="is_active" lay-skin="switch" lay-text="是|否" checked="" value="1">
                      </div>
                    </div>
                <div>
                  <label class="layui-form-label">头像：</label>
                  <div class="layui-input-block">
                      <button type="button" class="layui-btn-sm" id="test1">上传图片</button><br><br>
                      <img class="layui-upload-img" id="demo1">
                  </div>
                </div>
                <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
                  <button class="layui-btn" type="button" id="upload_image" style="display: none"></button>
              </div>
            </form>
          </div>
        </div>
      </div>

  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index',
    formSelects: 'formSelects-v4'
  }).use(['index', 'form', 'utils', 'upload'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,upload = layui.upload
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');

    if(id){
        var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
        form.val("component-form-element", editdata);
        if(editdata.img_url){
            $('#demo1').attr('src', editdata.img_url);
        }
    }

    form.render(null, 'component-form-element');
    form.val("component-form-element", {
                'password':'1111'
    });

    var form_data = {field:{}};

    if (id){
          var url = '/tenant/customer/'+id + '/update_customer/';
      }else{
          url =  '/tenant/customer/';
      }

     upload.render({
         elem: '#test1',
         url: url,
         auto: false,
         field: 'image',
         bindAction: '#upload_image',
         choose: function(obj) {
             obj.preview(
                 function(index, file, result) {
                     $('#demo1').attr('src', result);
                 }
             );
         },
          data:{
             name: function(){return form_data.field.name;},
             gender: function(){return form_data.field.gender;},
             tel: function(){return form_data.field.tel;},
             is_active: function(){
                 if (form_data.field.is_active){
                     return form_data.field.is_active;
                 }else{
                     return '0'
                 }

             },
             },
        done: function (res) {
            if (res.code != 0) {
                layer.msg(res.msg);
            }else {
                parent.layui.onSubmitChild(res.data);
            }
        },
        error: function () {
            layer.msg('保存失败');
        }
    });

    form.on('submit(component-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));
        if(!('is_active' in data.field)){
            data.field.is_active = 0;
        }

        if (data.field.image){
            form_data = data;
            $('#upload_image').click();
        }else{
            admin.req({
                url: url
                ,data: data.field
                ,type: 'post'
                ,done: function(res){
                    parent.layui.onSubmitChild(res.data);
                }
              });
        }

      return false;
    });

    parent.layui.submitChild = function () {
      $("#id_save").click();
    };
  });
  </script>
</body>
</html>